import { Y as e, a3 as t, w as o, cJ as b, bI as l, a6 as r, a7 as d, a8 as n, ad as g, S as i } from "./603b75d9.js";
import "react";
import "react-dom";
const s = [{
  label: e("badge.SizeDefault"),
  value: "default"
}, {
  label: e("badge.SizeSmall"),
  value: "small"
}], p = [{
  label: e("badge.number"),
  value: "number"
}, {
  label: e("badge.dot"),
  value: "dot"
}], C = {
  badgeType: t(p, "number"),
  badgeCount: o(b("badgeCount"), "0"),
  badgeSize: t(s, "default"),
  showZero: l,
  overflowCount: o(g, 99),
  badgeTitle: o(i, "")
}, S = (a) => /* @__PURE__ */ r(d, {
  name: n.advanced,
  children: [a.badgeType.propertyView({
    label: e("badge.Type"),
    radioButton: !0
  }), a.badgeCount.propertyView({
    label: e("badge.Count")
  }), a.badgeType.getView() === "number" && a.overflowCount.propertyView({
    label: e("badge.overflowCount")
  }), a.badgeType.getView() === "number" && a.badgeSize.propertyView({
    label: e("badge.Size")
  }), a.badgeTitle.propertyView({
    label: e("badge.Title")
  })]
});
export {
  S as BadgeBasicSection,
  C as badgeChildren
};
